# gdcm::VR16ExplicitDataElement Class Reference

Class to read/write a DataElement as Explicit Data Element. More...

`#include <gdcmVR16ExplicitDataElement.h>`

Inheritance diagram for gdcm::VR16ExplicitDataElement:
[legend]
Collaboration diagram for gdcm::VR16ExplicitDataElement:
[legend]

List of all members.

## Public Member Functions
VL | GetLength () const
template<typename TSwap >
std::istream & | Read (std::istream &is)
template<typename TSwap >
std::istream & | ReadWithLength (std::istream &is, VL &length)

## Detailed Description

Class to read/write a DataElement as Explicit Data Element.

Note:
  This class support 16 bits when finding an unkown VR: For instance: Siemens_CT_Sensation64_has_VR_RT.dcm

## Member Function Documentation

VL gdcm::VR16ExplicitDataElement::GetLength | ( |  | ) | const

Reimplemented from gdcm::DataElement.

template<typename TSwap >

std::istream& gdcm::VR16ExplicitDataElement::Read | ( | std::istream & | is | ) | `[inline]`

Reimplemented from gdcm::DataElement.

template<typename TSwap >

std::istream& gdcm::VR16ExplicitDataElement::ReadWithLength | ( | std::istream & | is,
|  | VL & | length |
| ) |  |  | `[inline]`

Reimplemented from gdcm::DataElement.

The documentation for this class was generated from the following file:

- gdcmVR16ExplicitDataElement.h